Index: trunk/scripts/git-hooks/sub/zephyr-post-receive
===================================================================
--- trunk/scripts/git-hooks/sub/zephyr-post-receive	(revision 2500)
+++ trunk/scripts/git-hooks/sub/zephyr-post-receive	(revision 2501)
@@ -1,1 +1,41 @@
-link ../zephyr-post-receive
+#!/bin/sh
+#
+# This script is run after receive-pack has accepted a pack and the
+# repository has been updated.  It is passed arguments in through stdin
+# in the form
+#  <oldrev> <newrev> <refname>
+# For example:
+#  aa453216d1b3e49e7f6f98441fa56946ddcd6a20 68f7abf4e6f922807889f52bc043ecd31b79f814 refs/heads/master
+
+class=`git config zephyr.class`
+instance=`git config zephyr.instance`
+zsig=`git config zephyr.zsig`
+color=`git config --bool zephyr.color`
+
+if [ "${color:-true}" = "true" ]; then
+    usecolor="--color"
+else
+    usecolor=""
+fi
+
+if [ -z "$class" ]; then
+  echo "I don't know where to send a commit zephyr!" >&2
+  echo "Please set the zephyr.class config variable in" >&2
+  echo "$PWD/config." >&2
+  exit 1
+fi
+while read oldrev newrev refname; do
+  git-rev-list --reverse "$oldrev..$newrev" | while read rev; do
+    shortrev=`git log -1 --pretty=format:%h "$rev"`
+    (git show --stat $usecolor "$rev" |
+     sed -e 's/@/@@/g' \
+         -e 's/}/@(})/g' \
+         -e 's/\[m/}@{/g' \
+         -e 's/\[33m/@color(yellow)/g' \
+         -e 's/\[31m/@color(red)/g' \
+         -e 's/\[32m/@color(green)/g' \
+         -e '1s/^/@{/' \
+         -e '$s/$/}/') |
+    zwrite -c "$class" -i "${instance:-$shortrev}" -s "${zsig:-Git}: $refname" -d
+  done
+done
Index: trunk/scripts/git-hooks/zephyr-post-receive
===================================================================
--- trunk/scripts/git-hooks/zephyr-post-receive	(revision 2500)
+++ 	(revision )
@@ -1,41 +1,0 @@
-#!/bin/sh
-#
-# This script is run after receive-pack has accepted a pack and the
-# repository has been updated.  It is passed arguments in through stdin
-# in the form
-#  <oldrev> <newrev> <refname>
-# For example:
-#  aa453216d1b3e49e7f6f98441fa56946ddcd6a20 68f7abf4e6f922807889f52bc043ecd31b79f814 refs/heads/master
-
-class=`git config zephyr.class`
-instance=`git config zephyr.instance`
-zsig=`git config zephyr.zsig`
-color=`git config --bool zephyr.color`
-
-if [ "${color:-true}" = "true" ]; then
-    usecolor="--color"
-else
-    usecolor=""
-fi
-
-if [ -z "$class" ]; then
-  echo "I don't know where to send a commit zephyr!" >&2
-  echo "Please set the zephyr.class config variable in" >&2
-  echo "$PWD/config." >&2
-  exit 1
-fi
-while read oldrev newrev refname; do
-  git-rev-list --reverse "$oldrev..$newrev" | while read rev; do
-    shortrev=`git log -1 --pretty=format:%h "$rev"`
-    (git show --stat $usecolor "$rev" |
-     sed -e 's/@/@@/g' \
-         -e 's/}/@(})/g' \
-         -e 's/\[m/}@{/g' \
-         -e 's/\[33m/@color(yellow)/g' \
-         -e 's/\[31m/@color(red)/g' \
-         -e 's/\[32m/@color(green)/g' \
-         -e '1s/^/@{/' \
-         -e '$s/$/}/') |
-    zwrite -c "$class" -i "${instance:-$shortrev}" -s "${zsig:-Git}: $refname" -d
-  done
-done
